<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/tipo_variacion.php';
$response = array();

if (
    !isset($_POST['id_tipo_variacion'])
) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_tipo_variacion = $_POST['id_tipo_variacion'];

$tipo_variacion = TipoVariacion::mdlGetTipoVariacionById($id_tipo_variacion);

if (!$tipo_variacion) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontró el tipo_variacion';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $tipo_variacion;
echo json_encode($response);
return;